#!/bin/sh
#emuname=OSCam-svn11134
#ecminfofile=ecm.info
CAMNAME="OSCam-svn11134"
CAMD_BIN=oscam-svn11134

remove_tmp () {
	rm -rf /tmp/*.info* /tmp/*.tmp* /tmp/mg* /tmp/oscam.* /tmp/snippet*
}

case "$1" in
	start)
		echo "[SCRIPT] $1: $CAMNAME"
		remove_tmp
		/usr/bin/$CAMD_BIN & 
		sleep 3
	;;
	stop)
		echo "[SCRIPT] $1: $CAMNAME"
		killall -9 $CAMD_BIN 2>/dev/null
		remove_tmp
		sleep 2
	;;
	*)
		$0 stop
		exit 1
	;;
esac
exit 0